Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.util
Class VectorParser

    java.lang.Object
      org.neuroph.util.VectorParser

    public class VectorParser

extends java.lang.Object

Provides methods to parse strings as Integer or Double vectors.

Constructor Summary
`VectorParser()`

Method Summary
`static double[]` | `convertToArray(java.util.Vector<java.lang.Double> vector)`
`static java.util.Vector<java.lang.Double>` | `convertToVector(double[] array)`
`static java.util.Vector<java.lang.Double>` | `parseDouble(java.lang.String str)` This method parses input String and returns Double vector
`static java.util.Vector<java.lang.Integer>` | `parseInteger(java.lang.String str)` This method parses input String and returns Integer vector

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VectorParser

    public VectorParser()

Method Detail

### parseInteger

    public static java.util.Vector<java.lang.Integer> parseInteger(java.lang.String str)

  This method parses input String and returns Integer vector

  Parameters:
    `str` - input String
  Returns:
    Integer vector

### parseDouble

    public static java.util.Vector<java.lang.Double> parseDouble(java.lang.String str)

  This method parses input String and returns Double vector

  Parameters:
    `str` - input String
  Returns:
    Double vector

### convertToVector

    public static java.util.Vector<java.lang.Double> convertToVector(double[] array)

### convertToArray

    public static double[] convertToArray(java.util.Vector<java.lang.Double> vector)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD